Name:           perl-Text-RecordParser
Version:        1.6.3
Release:        1%{?dist}
Summary:        Read record-oriented files
License:        OSI-Approved
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-RecordParser/
Source0:        http://www.cpan.org/authors/id/K/KC/KCLARK/Text-RecordParser-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(GraphViz)
BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::Markdown)
BuildRequires:  perl(Pod::Readme)
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Readonly::XS)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Autoformat)
BuildRequires:  perl(Text::TabularDisplay) >= 1.22
BuildRequires:  perl(version)
Requires:       perl(Class::Accessor)
Requires:       perl(GraphViz)
Requires:       perl(IO::Scalar)
Requires:       perl(List::MoreUtils)
Requires:       perl(Readonly)
Requires:       perl(Readonly::XS)
Requires:       perl(Text::Autoformat)
Requires:       perl(Text::TabularDisplay) >= 1.22
Requires:       perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is for reading record-oriented data in a delimited text file.
The most common example have records separated by newlines and fields
separated by commas or tabs, but this module aims to provide a consistent
interface for handling sequential records in a file however they may be
delimited. Typically this data lists the fields in the first line of the
file, in which case you should call bind_header to bind the field name (or
not, and it will be called implicitly). If the first line contains data,
you can still bind your own field names via bind_fields. Either way, you
can then use many methods to get at the data as arrays or hashes.

%prep
%setup -q -n Text-RecordParser-v%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README.md TODO
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Sep 02 2014 Dave Cross <dave@mag-sol.com> 1.6.3-1
- Specfile autogenerated by cpanspec 1.78.
